assignments
Post apiv1modules assignments
POST
/
api
/
v1
/
modules
/
{moduleId}
/
assignments
cURL
curl --request POST \
--url https://tessera.edstratumlabs.ai/api/v1/modules/{moduleId}/assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"points": 1,
"dueAt": "<string>"
}
'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/modules/{moduleId}/assignments"
payload = {
"title": "<string>",
"points": 1,
"dueAt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', points: 1, dueAt: '<string>'})
};
fetch('https://tessera.edstratumlabs.ai/api/v1/modules/{moduleId}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"moduleId": "<string>",
"courseId": "<string>",
"title": "<string>",
"position": 1,
"status": "draft",
"publishedAt": "<string>",
"dueAt": "<string>",
"points": 1,
"submissionType": "text",
"rubric": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"levels": [
{
"id": "<string>",
"title": "<string>",
"points": 1,
"description": "<string>"
}
]
}
],
"instructions": [
{
"id": "<string>",
"lessonId": "<string>",
"position": 4503599627370495,
"origin": "human",
"aiState": "draft",
"provenance": {
"model": "<string>",
"task": "brief",
"generatedAt": "<string>",
"sources": [
{
"id": "<string>",
"name": "<string>"
}
],
"summary": "<string>"
},
"previous": {
"type": "heading",
"level": 2,
"text": "<string>"
},
"updatedAt": "<string>",
"type": "heading",
"level": 2,
"text": "<string>"
}
]
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Scoped tsk_… API token or Access JWT
Path Parameters
Minimum string length:
1Body
application/json
Response
Success
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
x >= 0Available options:
draft, published Minimum string length:
1Minimum string length:
1Required range:
x >= 0Available options:
text, file, link Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
⌘I
cURL
